# Class RangeMeaning

Object
CodeList<RangeMeaning>
RangeMeaning

All Implemented Interfaces:
  `Serializable, Comparable<RangeMeaning>`

@UML(identifier="CS_RangeMeaning", specification=ISO_19111) public final class RangeMeaning extends CodeList<RangeMeaning>
Meaning of the axis value range specified through minimum value and maximum value.

Since:
  2.1
See Also:
  - `CoordinateSystemAxis​.getRangeMeaning()`
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RangeMeaning`
  `EXACT`
  Any value between and including minimum value and maximum value is valid.
  `static final RangeMeaning`
  `WRAPAROUND`
  The axis is continuous with values wrapping around at the minimum value and maximum value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RangeMeaning[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static RangeMeaning`
  `valueOf(String code)`
  Returns the range meaning that matches the given string, or returns a new one if none match it.
  `static RangeMeaning[]`
  `values()`
  Returns the list of `RangeMeaning`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EXACT

    @UML(identifier="exact", obligation=CONDITIONAL, specification=ISO_19111) public static final RangeMeaning EXACT
    Any value between and including minimum value and maximum value is valid.

  - ### WRAPAROUND

    @UML(identifier="wraparound", obligation=CONDITIONAL, specification=ISO_19111) public static final RangeMeaning WRAPAROUND
    The axis is continuous with values wrapping around at the minimum value and maximum value. Values with the same meaning repeat modulo the difference between maximum value and minimum value.

- ## Method Details

  - ### values

    public static RangeMeaning[] values()
    Returns the list of `RangeMeaning`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public RangeMeaning[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<RangeMeaning>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static RangeMeaning valueOf(String code)
    Returns the range meaning that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.